Skip to main content
`Ctrl`+`K`

# `actions`

This module provides QAction that can be attached to a plot3DWidget.

This module provides Plot3DAction related to input/output.

It provides QAction to copy, save (snapshot and video), print a Plot3DWidget.

class CopyAction(parent, plot3d=None)

  QAction to provide copy of a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class SaveAction(parent, plot3d=None)

  QAction to provide save snapshot of a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class PrintAction(parent, plot3d=None)

  QAction to provide printing of a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

  getPrinter()

    Return the QPrinter instance used for printing.

    Return type:

      QPrinter

class VideoAction(parent, plot3d=None)

  This action triggers the recording of a video of the scene.

  The scene is rotated 360 degrees around a vertical axis.

  Parameters:

    - parent – Action parent see `QAction`.

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

This module provides Plot3DAction related to interaction modes.

It provides QAction to rotate or pan a Plot3DWidget as well as toggle a picking mode.

class InteractiveModeAction(parent, interaction, plot3d=None)

  Base class for QAction changing interactive mode of a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - interaction (str) – The interactive mode this action controls

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

  setPlot3DWidget(widget)

    Set the Plot3DWidget this action is associated with

    Parameters:

      widget (Plot3DWidget) – The Plot3DWidget to use

class RotateArcballAction(parent, plot3d=None)

  QAction to set arcball rotation interaction on a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class PanAction(parent, plot3d=None)

  QAction to set pan interaction on a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class PickingModeAction(parent, plot3d=None)

  QAction to toggle picking moe on a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

  sigSceneClicked

    Signal emitted when the scene is clicked with the left mouse button.

    This signal is only emitted when the action is checked.

    It provides the (x, y) clicked mouse position in logical widget pixel coordinates

  setPlot3DWidget(widget)

    Set the Plot3DWidget this action is associated with

    Parameters:

      widget (Plot3DWidget) – The Plot3DWidget to use

This module provides Plot3DAction controlling the viewpoint.

It provides QAction to rotate or pan a Plot3DWidget.

class FrontViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the front

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class BackViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the back

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class LeftViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the left

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class RightViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the right

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class TopViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the top

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class BottomViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the bottom

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class SideViewpointAction(parent, plot3d=None)

  QAction to set Plot3DWidget viewpoint to look from the side

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class RotateViewpoint(parent, plot3d=None)

  QAction to rotate the scene of a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with

class Plot3DAction(parent, plot3d=None)

  QAction associated to a Plot3DWidget

  Parameters:

    - parent – See `QAction`

    - plot3d (Plot3DWidget) – Plot3DWidget the action is associated with